@charset "UTF-8";

/* --------------------------------------------
SETTINGS
--------------------------------------------- */
@media screen and ( width <= 768px ){
	:root{
		--headerHeight : calc( 68 * var( --remBase ) );
	}
}
@media print , screen and ( width > 768px ){
	:root{
		--headerHeight : calc( 100 * var( --remBase ) );
	}
}
html{
	@media print , screen and ( width > 768px ){
		scroll-padding-top : calc( 70 * var( --remBase ) );
	}
}
body{
	@media screen and ( width <= 768px ){
		font-size : calc( 16 * var( --remBase ) );
	}
	@media print , screen and ( width > 768px ){
		font-size : calc( 16 * var( --remBase ) );
	}
}

/* --------------------------------------------
WRAPPER , CONTAINER , GRID CONTAINER
--------------------------------------------- */
@media screen and ( width <= 768px ){
	:root{
		--containerWidth : 100%;
		--wrapPaddingInline : calc( var( --gutter ) * var( --viewportBase ) );
	}
}
@media print , screen and ( width > 768px ){
	:root{
		--containerWidth : calc( var( --contentWidth ) * var( --viewportBase ) );
		--wrapPaddingInline : max( calc( ( 100% - ( var( --contentWidth ) * 1px ) ) / 2 ) , calc( var( --gutter ) * var( --viewportBase ) ) );
	}
}
:root{
	--containerWidth : 100%;
	--gridContainerGutter : calc( var( --gutter ) * var( --viewportBase ) );
	--gridContainerGridTemplateColumns : var( --gridContainerGutter ) var( --containerWidth ) var( --gridContainerGutter );
	--gridContainerColumnCenter : 2;
	--gridContainerLeftStartEnd : 3;
	--gridContainerRightEndStart : 2;
}
.wrap{
	padding-inline : var( --wrapPaddingInline );
}
.wrap-sp{
	@media screen and ( width <= 768px ){
		padding-inline : var( --wrapPaddingInline );
	}
}
.wrap-pc{
	@media print , screen and ( width > 768px ){
		padding-inline : var( --wrapPaddingInline );
	}
}
.container{
	width : var( --containerWidth );
	@media print , screen and ( width > 768px ){
		.container{
			margin-inline : auto;
		}
	}
}
.gridContainer{
	display : grid;
	grid-template-columns : var( --gridContainerGridTemplateColumns );
	grid-auto-flow : column;
	row-gap : 0;
	>*:not( .fluid , .left-start , .right-end ){
		grid-column : var( --gridContainerColumnCenter );
	}
	.fluid{
		grid-column : 1/-1;
	}
	.left-start{
		grid-column : 1 / 3;
	}
	.right-end{
		grid-column : 2 / 4;
	}
}

/* --------------------------------------------
  STATE
  --------------------------------------------- */
.is-sp{
	@media print , screen and ( width > 768px ){
		display : none;
	}
}
.is-pc{
	@media screen and ( width <= 768px ){
		display : none;
	}
}
.is-tb{
	@media screen and ( width <= 768px ){
		display : none;
	}
	@media print , screen and ( width >= 1120px ){
		display : none;
	}
}

/* --------------------------------------------
  ACCESSIBILITY
  --------------------------------------------- */
.visually-hidden{
	position : absolute;
	width : 1px;
	height : 1px;
	overflow : hidden;
	clip : rect( 0 0 0 0 );
	clip-path : inset( 50% );
	white-space : nowrap;
}
.visually-hidden-text{
	overflow : hidden;
	color : transparent;
}
[hidden]{
	display : none;
}

/* --------------------------------------------
  COMMON MODULES
  --------------------------------------------- */
.full{
	width : 100%;
	height : auto;
}
.full-sp{
	@media screen and ( width <= 768px ){
		width : 100%;
		height : auto;
	}
}
.full-pc{
	@media print , screen and ( width > 768px ){
		width : 100%;
		height : auto;
	}
}
[data-before]::before{
	white-space : pre;
	content : attr( data-before );
}
[data-after]::after{
	white-space : pre;
	content : attr( data-after );
}
[data-before-sp]::before{
	@media screen and ( width <= 768px ){
		white-space : pre;
		content : attr( data-before-sp );
	}
}
[data-both]{
	&::before , &::after{
		white-space : pre;
		content : attr( data-both );
	}
}
@media screen and ( width <= 768px ){
	[data-after-sp]::after{
		white-space : pre;
		content : attr( data-after-sp );
	}
	[data-both-sp]{
		&::before , &::after{
			white-space : pre;
			content : attr( data-both );
		}
	}
}
@media print , screen and ( width > 768px ){
	[data-before-pc]::before{
		white-space : pre;
		content : attr( data-before-pc );
	}
	[data-after-pc]::after{
		white-space : pre;
		content : attr( data-after-pc );
	}
	[data-both-pb]{
		&::before , &::after{
			white-space : pre;
			content : attr( data-both );
		}
	}
}
[data-outline]{
	position : relative;
	z-index : 0;
	display : inline-block;
	&::before{
		position : absolute;
		inset : 0;
		z-index : -1;
		white-space : pre;
		content : attr( data-outline );
	}
}

/* --------------------------------------------
  BR TO SPCE
  --------------------------------------------- */
.sp-space{
	@media screen and ( width <= 768px ){
		&::after{
			content : " ";
		}
	}
	@media print , screen and ( width > 768px ){
		&::after{
			white-space : pre;
			content : "\A";
		}
	}
}
.pc-space{
	@media screen and ( width <= 768px ){
		&::after{
			white-space : pre;
			content : "\A";
		}
	}
	@media print , screen and ( width > 768px ){
		&::after{
			content : " ";
		}
	}
}
.sp-spaceEm{
	@media screen and ( width <= 768px ){
		&::after{
			content : "　";
		}
	}
	@media print , screen and ( width > 768px ){
		&::after{
			white-space : pre;
			content : "\A";
		}
	}
}
.pc-spaceEm{
	@media screen and ( width <= 768px ){
		&::after{
			white-space : pre;
			content : "\A";
		}
	}
	@media print , screen and ( width > 768px ){
		&::after{
			content : "　";
		}
	}
}

/* --------------------------------------------
  LH NAGATIVE MARGIN
  --------------------------------------------- */
.lh-up{
	margin-top : calc( ( 1em - 1lh )  / 2 );
}
.lh-up-sp{
	@media screen and ( width <= 768px ){
		margin-top : calc( ( 1em - 1lh )  / 2 );
	}
}
.lh-up-pc{
	@media print , screen and ( width > 768px ){
		margin-top : calc( ( 1em - 1lh )  / 2 );
	}
}

/* --------------------------------------------
HEADER
--------------------------------------------- */
#header{
	display : grid;
	align-items : center;
	height : var( --headerHeight );
	@media screen and ( width <= 768px ){
		column-gap : calc( 8 * var( --contentBase ) );
		justify-content : start;
		background-color : white;
		#navContacts{
			display : none;
		}
	}
	@media print , screen and ( width > 768px ){
		grid-template-columns : auto 1fr auto calc( 24 * var( --remBase ) ) auto calc( 20 * var( --remBase ) ) auto;
		padding-inline : calc( 16 * var( --viewportBase ) );
	}
}
#headerLogo{
	display : block;
	grid-row : 1;
	grid-column : 1;
	width : fit-content;
	@media screen and ( width <= 768px ){
		img{
			height : calc( 34 * var( --remBase ) );
		}
	}
	@media print , screen and ( width > 768px ){
		img{
			height : calc( 64 * var( --remBase ) );
		}
	}
}
#headerTel{
	grid-row : 1;
	a{
		display : block;
	}
	img{
		filter : var( --filterBlue );
	}
	span{
		display : block;
		font-weight : 700;
		color : var( --blue );
	}
	@media screen and ( width <= 768px ){
		grid-column : 2;
		img{
			height : calc( 15 * var( --remBase ) );
		}
		span{
			margin-top : calc( 7 * var( --remBase ) );
			font-size : calc( 12 * var( --remBase ) );
		}
	}
	@media print , screen and ( width > 768px ){
		grid-column : 3;
		img{
			height : calc( 27 * var( --remBase ) );
		}
		span{
			align-content : center;
			height : calc( 35 * var( --remBase ) );
			padding-inline : calc( 5 * var( --remBase ) );
			margin-top : calc( 7 * var( --remBase ) );
			font-size : calc( 14 * var( --remBase ) );
			text-align : center;
			background-color : var( --lightBlue );
		}
	}
}
#headerCards{
	p{
		align-content : center;
		font-weight : 700;
		text-align : center;
		border-radius : 100vmax;
		outline : solid 1px #707070;
		outline-offset : -1px;
	}
	ul{
		display : grid;
		grid-auto-flow : column;
		align-items : center;
		justify-content : center;
	}
	@media print , screen and ( width > 768px ){
		grid-row : 1;
		grid-column : 5;
		p{
			height : calc( 32 * var( --remBase ) );
			padding-inline : calc( 17 * var( --remBase ) );
			font-size : calc( 13 * var( --remBase ) );
		}
		ul{
			column-gap : calc( 2 * var( --remBase ) );
			margin-top : calc( 7 * var( --remBase ) );
		}
		li:nth-child( 1 ){
			img{
				height : calc( 28 * var( --remBase ) );
			}
		}
		li + li{
			img{
				height : calc( 20 * var( --remBase ) );
			}
		}
	}
}
#navContacts{
	p{
		display : grid;
		grid-auto-flow : column;
		align-items : center;
		justify-content : start;
		> span{
			font-weight : 700;
			&:nth-of-type( 1 ){
				display : block;
				align-content : center;
				color : var( --blue );
				text-align : center;
			}
			&:nth-of-type( 2 ){
				color : #222;
			}
		}
	}
	.line , .web{
		display : grid;
		grid-auto-flow : column;
		align-items : center;
		justify-content : center;
		img{
			filter : var( --filterWhite );
		}
	}
	.line{
		background-color : var( --lineColor );
	}
	.web{
		background-color : var( --blue );
	}
	a{
		span{
			color : white;
		}
	}
	@media screen and ( width <= 768px ){
		margin-top : calc( 35 * var( --remBase ) );
		p{
			column-gap : calc( 9 * var( --contentBase ) );
			> span{
				&:nth-of-type( 1 ){
					height : calc( 25 * var( --remBase ) );
					padding-inline : calc( 10 * var( --remBase ) );
					font-size : calc( 11 * var( --remBase ) );
					background-color : white;
					border-radius : calc( 4 * var( --remBase ) );
				}
				&:nth-of-type( 2 ){
					font-size : calc( 13 * var( --remBase ) );
				}
			}
		}
		ul{
			margin-top : calc( 10 * var( --remBase ) );
		}
		.line , .web{
			column-gap : calc( 9 * 100% / 310 );
			width : calc( 310 * var( --contentBase ) );
			height : calc( 39 * var( --remBase ) );
			margin-inline : auto;
			border-radius : calc( 3 * var( --remBase ) );
			span{
				font-size : calc( 13 * var( --remBase ) );
			}
		}
		.line{
			img{
				height : calc( 17 * var( --remBase ) );
			}
		}
		.web{
			img{
				height : calc( 10 * var( --remBase ) );
			}
		}
		li:nth-child( 2 ){
			margin-top : calc( 10 * var( --remBase ) );
		}
		li:nth-child( 3 ){
			margin-top : calc( 20 * var( --remBase ) );
		}
		.tel{
			span{
				display : block;
				font-size : calc( 16 * var( --remBase ) );
				line-height : calc( 24 / 16 );
				text-align : center;
			}
			a{
				display : block;
				width : fit-content;
				margin-inline : auto;
				font-size : calc( 29 * var( --remBase ) );
				font-weight : 700;
				line-height : calc( 42 / 29 );
			}
		}
	}
	@media print , screen and ( width > 768px ){
		grid-row : 1;
		grid-column : 7;
		p{
			column-gap : calc( 9 * var( --remBase ) );
			> span{
				&:nth-of-type( 1 ){
					height : calc( 25 * var( --remBase ) );
					padding-inline : calc( 12 * var( --remBase ) );
					font-size : calc( 11 * var( --remBase ) );
					background-color : var( --lightBlue );
					border-radius : calc( 4 * var( --remBase ) );
				}
				&:nth-of-type( 2 ){
					font-size : calc( 14 * var( --remBase ) );
				}
			}
		}
		ul{
			display : grid;
			grid-template-rows : calc( 31 * var( --remBase ) );
			grid-template-columns : repeat( 2 , calc( 150 * var( --remBase ) ) );
			column-gap : calc( 12 * var( --remBase ) );
			margin-top : calc( 10 * var( --remBase ) );
		}
		a{
			column-gap : calc( 6 * var( --remBase ) );
			width : 100%;
			height : 100%;
		}
		a{
			border-radius : calc( 3 * var( --remBase ) );
			span{
				font-size : calc( 11 * var( --remBase ) );
			}
		}
		.line{
			img{
				height : calc( 21 * var( --remBase ) );
			}
		}
		.web{
			img{
				height : calc( 12 * var( --remBase ) );
			}
		}
	}
}

/* --------------------------------------------
MENU BUTTON
--------------------------------------------- */
#menuBtn{
	@media screen and ( width <= 768px ){
		position : fixed;
		top : calc( 12 * var( --remBase ) );
		right : calc( 13 * var( --viewportBase ) );
		z-index : 12;
		width : calc( 40 * var( --viewportBase ) );
		height : calc( 40 * var( --remBase ) );
		background-color : var( --blue );
		border-block : solid calc( 13 * var( --remBase ) ) var( --blue );
		border-inline : solid calc( 12 * var( --remBase ) ) var( --blue );
		border-radius : calc( 5 * var( --remBase ) );
		span{
			position : absolute;
			left : 0;
			display : block;
			width : 100%;
			transition : all .4s;
			&:nth-of-type( 1 ){
				top : 0;
			}
			&:nth-of-type( 4 ){
				bottom : 0;
			}
		}
		&[aria-expanded="true"]{
			span:nth-of-type( 1 ){
				scale : 0;
				translate : calc( $( top ) var( --remBase ) ) 0;
			}
			span:nth-of-type( 2 ){
				rotate : -45deg;
			}
			span:nth-of-type( 3 ){
				rotate : 45deg;
			}
			span:nth-of-type( 4 ){
				scale : 0;
				translate : calc( -$( top ) var( --remBase ) ) 0;
			}
		}
		> span{
			height : 1px;
			background-color : white;
			&:nth-of-type( 2 ) , &:nth-of-type( 3 ){
				top : calc( 6.5 * var( --remBase ) );
			}
		}
	}
}
@media ( prefers-reduced-motion : no-preference ){
	#menuBtn{
		@media screen and ( width <= 768px ){
			@media ( prefers-reduced-motion : no-preference ){
				> span{
					transition : all .3s linear;
				}
			}
		}
	}
}

/* --------------------------------------------
NAVIGATION
--------------------------------------------- */
#nav{
	@media screen and ( width <= 768px ){
		position : fixed;
		top : 0;
		left : 100%;
		z-index : 11;
		width : 100%;
		height : 100dvh;
		overflow-y : auto;
		background-color : color-mix( in sRGB , var( --lightBlue ) 95% , transparent );
		translate : 0 0;
		body:has( &:not( [inert] ) ){
			overflow : hidden;
		}
		&:not( [inert] ){
			translate : -100% 0;
		}
		&[inert]{
			translate : 0 0;
		}
		.scroll{
			overflow-y : auto;
		}
		.scroll{
			padding-inline : calc( 15 * var( --viewportBase ) );
			padding-top : calc( 68 * var( --remBase ) );
			padding-bottom : calc( 60 * var( --remBase ) );
		}
	}
	@media print , screen and ( width > 768px ){
		display : contents;
		.scroll{
			display : contents;
		}
		#navContacts{
			display : none;
		}
	}
}
@media ( prefers-reduced-motion : no-preference ){
	#nav{
		@media screen and ( width <= 768px ){
			@media ( prefers-reduced-motion : no-preference ){
				transition-duration : .4s;
				transition-property : translate;
				&[inert]{
					transition-timing-function : ease-out;
				}
				&:not( [inert] ){
					transition-timing-function : ease-in;
				}
			}
		}
	}
}
#navGlobal{
	> li{
		> a , > div > a{
			display : grid;
			align-content : center;
			align-items : center;
			font-size : calc( 16 * var( --remBase ) );
		}
	}
	@media screen and ( width <= 768px ){
		> li{
			border-bottom : solid 1px #49a2d9;
			> a , > div > a{
				height : calc( 56 * var( --remBase ) );
				padding-block : calc( 12 * var( --remBase ) );
			}
		}
		.buttons{
			display : grid;
			grid-template-columns : 1fr calc( 26 * var( --contentBase ) );
			column-gap : calc( 16 * var( --contentBase ) );
			align-items : center;
			justify-content : space-between;
		}
		button{
			display : grid;
			align-items : center;
			justify-content : center;
			height : calc( 22 * var( --remBase ) );
			background-color : white;
			outline : solid calc( 2 * var( --remBase ) ) var( --blue );
			outline-offset : calc( -2 * var( --remBase ) );
			img{
				height : calc( 8 * var( --remBase ) );
				filter : var( --filterBlue );
			}
			&[aria-expanded="true"]{
				img{
					rotate : -180deg;
				}
			}
		}
		.subMenu{
			display : grid;
			width : calc( 330 * var( --contentBase ) );
			margin-left : auto;
			> div{
				padding-inline : calc( 15 * var( --contentBase ) );
				overflow : hidden;
				background-color : white;
				border-radius : calc( 12 * var( --remBase ) );
			}
			&[aria-hidden="true"]{
				grid-template-rows : 0fr;
			}
			&[aria-hidden="false"]{
				grid-template-rows : 1fr;
				> div{
					padding-block : calc( 12 * var( --remBase ) );
					margin-bottom : calc( 12 * var( --remBase ) );
				}
			}
			p{
				font-size : calc( 16 * var( --remBase ) );
				font-weight : 600;
				line-height : calc( 24 / 16 );
			}
			li{
				border-bottom : 1px solid #49a2d9;
			}
			a{
				display : block;
				padding-block : calc( 12 * var( --remBase ) );
				font-size : calc( 16 * var( --remBase ) );
				line-height : calc( 24 / 16 );
			}
		}
	}
	@media print , screen and ( width > 768px ){
		position : sticky;
		top : 0;
		z-index : 5;
		display : grid;
		grid-auto-flow : column;
		justify-content : space-around;
		height : calc( 70 * var( --remBase ) );
		background-color : white;
		> li{
			height : 100%;
			> a , > div > a{
				justify-content : center;
				height : calc( 70 * var( --remBase ) );
				padding-inline : calc( 10 * var( --remBase ) );
			}
		}
		> li:has( .subMenu.is-sp ){
			.subMenu{
				display : none;
			}
		}
		> li:not( :has( .subMenu.is-sp ) ){
			position : relative;
			> div{
				> a{
					grid-auto-flow : column;
					column-gap : calc( 13 * var( --remBase ) );
					&::after{
						display : block;
						width : auto;
						height : calc( 8 * var( --remBase ) );
						aspect-ratio : 800 / 440;
						content : "";
						background : url( "../images/ui/arrow/down01.svg" ) left top / contain no-repeat;
						filter : var( --filterBlue );
					}
				}
			}
			.subMenu{
				position : absolute;
				top : calc( 60 * var( --remBase ) );
				display : grid;
				grid-template-rows : 0fr;
				width : fit-content;
				min-width : calc( 330 * var( --remBase ) );
				background-color : white;
				> div{
					padding-inline : calc( 20 * var( --remBase ) );
					overflow : hidden;
					border-radius : calc( 8 * var( --remBase ) );
					outline : solid calc( 3 * var( --remBase ) ) var( --blue );
					outline-offset : calc( -3 * var( --remBase ) );
				}
				p{
					padding-block : calc( 1 * var( --remBase ) );
					padding-inline : calc( 6 * var( --remBase ) );
					font-size : calc( 19 * var( --remBase ) );
					font-weight : 600;
					color : #454545;
					border-left : solid calc( 3 * var( --remBase ) ) var( --blue );
				}
				ul{
					margin-top : calc( 6 * var( --remBase ) );
				}
				li + li{
					margin-top : calc( 6 * var( --remBase ) );
				}
				a{
					display : grid;
					grid-template-columns : auto 1fr;
					column-gap : calc( 3 * var( --remBase ) );
					align-content : center;
					align-items : start;
					height : calc( 32 * var( --remBase ) );
					font-size : calc( 16 * var( --remBase ) );
					color : #666;
					white-space : pre;
					&::before{
						display : block;
						width : auto;
						height : calc( 12 * var( --remBase ) );
						aspect-ratio : 10/16;
						margin-top : calc( 4 * var( --remBase ) );
						clip-path : polygon( 0 0 , 100% 50% , 0 100% );
						font-size : 0;
						content : "";
						background-color : #051a43;
					}
				}
			}
			&:hover{
				.subMenu{
					z-index : 1;
					grid-template-rows : 1fr;
					pointer-events : auto;
					> div{
						padding-block : calc( 20 * var( --remBase ) );
					}
				}
			}
			&:not( :last-child ){
				.subMenu{
					left : 0;
				}
			}
			&:last-child{
				.subMenu{
					right : 0;
				}
			}
		}
	}
}
@media ( hover : hover ){
	#navGlobal{
		> li > a , > li > div > a{
			&:hover{
				color : #999;
			}
		}
	}
}
@media ( prefers-reduced-motion : no-preference ){
	#navGlobal{
		> li > a , > li > div > a{
			transition : color var( --transitionBase );
		}
	}
	@media screen and ( width <= 768px ){
		#navGlobal{
			button img{
				transition : rotate var( --transitionBase );
			}
			.subMenu{
				transition : grid-template-rows var( --transitionBase );
				> div{
					transition : padding var( --transitionBase );
				}
			}
		}
	}
	@media print , screen and ( width > 768px ){
		#navGlobal{
			.subMenu:not( .is-sp ){
				transition : grid-template-rows var( --transitionBase );
				> div{
					transition : padding var( --transitionBase );
				}
			}
		}
	}
}

/* --------------------------------------------
BREADCRUMBS
--------------------------------------------- */
#breadcrumbs{
	@media print , screen and ( width > 768px ){
		padding-block : calc( 9.5 * var( --remBase ) );
		padding-inline : max( calc( ( 100% - 2562px ) / 2 ) , calc( 25 * 100% / 2562 ) );
		background-color : var( --lightGreen );
		ol{
			display : flex;
			flex-wrap : wrap;
			align-items : center;
			width : fit-content;
			padding-inline : calc( 40 * var( --remBase ) );
			background-color : white;
			border-radius : 100vmax;
		}
		li{
			&:not( :has( a ) ){
				padding-block : calc( 6.5 * var( --remBase ) );
				font-size : calc( 18 * var( --remBase ) );
				font-weight : 700;
				line-height : calc( 27 / 18 );
				color : #989898;
			}
			&:not( :last-child ){
				display : grid;
				grid-auto-flow : column;
				align-items : center;
				justify-content : start;
				&::after{
					font-size : calc( 18 * var( --remBase ) );
					line-height : calc( 27 / 18 );
					white-space : pre;
					content : " / ";
				}
			}
		}
		a{
			display : block;
			padding-block : calc( 6.5 * var( --remBase ) );
			font-size : calc( 18 * var( --remBase ) );
			font-weight : 700;
			line-height : calc( 27 / 18 );
			color : #3e3e3e;
		}
	}
}